#
# spec file for package uniraum
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define soname 0
Name:           uniraum
Version:        0.1.0cvs20150505
Release:        pm153.1.6
Summary:        RAUM Media Container for RoarAudio
License:        GPL-3.0+ and LGPL-3.0+
Group:          Productivity/Multimedia/Sound/Utilities
Url:            http://raum.keep-cool.org
Source:         http://roaraudio.keep-cool.org/srcs/%{name}-current.tar.gz
BuildRequires:  gcc
BuildRequires:  make
BuildRequires:  pkgconfig
BuildRequires:  pkgconfig(libroar)
BuildRequires:  pkgconfig(ogg)
Recommends:     roaraudio-server
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
The RAUM Media Container is a modern multi media container. It can hold
virtually any number of streams, support a large range of codecs and much
more.

uniraum can be used to read, write and update RAUM files as well as for
streaming.

%package -n     lib%{name}%{soname}
Summary:        Library to access RAUM files
Group:          System/Libraries

%description -n lib%{name}%{soname}
The RAUM Media Container is a modern multi media container. It can hold
virtually any number of streams, support a large range of codecs and much
more.

RAUM package containing a library for accessing RAUM files and some tools.

%package        devel
Summary:        Development Environment for uniraum
Group:          Development/Libraries/C and C++
Requires:       pkgconfig(libroar)
Requires:       lib%{name}%{soname} = %{version}

%description 	devel
Library for accessing the RAUM Media Container.

This package contains, header files and libraries needed to develop
application that use uniraum.

%prep
%setup -q -n %{name}-current

%build
export CFLAGS="%{optflags}"
./configure --prefix /usr
            
make %{?_smp_mflags}

%install
%make_install

pushd %{buildroot}%{_prefix}
%if "%{?_lib}" == "lib64"
mkdir -p %{buildroot}%{_libdir}/{pkgconfig,ckport}
mv lib/{lib%{name}.so,pkgconfig,ckport} %{buildroot}%{_libdir}/
%endif
export VERSION=%{version}
mv lib/lib%{name}.so.%{soname} %{buildroot}%{_libdir}/lib%{name}.so.${VERSION%c*}
ln -sf lib%{name}.so.${VERSION%c*} %{buildroot}%{_libdir}/lib%{name}.so.%{soname}
ln -sf lib%{name}.so.${VERSION%c*} %{buildroot}%{_libdir}/lib%{name}.so
popd

find %{buildroot} -maxdepth 3 \( -name \*.a -o -name \*.pc \) -exec rm -f {} \;

%post   -n lib%{name}%{soname} -p /sbin/ldconfig

%postun -n lib%{name}%{soname} -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc AUTHORS COPYING* ChangeLog README
%{_bindir}/%{name}-enc
%{_bindir}/%{name}-info
%{_bindir}/%{name}-play
%{_mandir}/man?/%{name}-*.1*

%files -n lib%{name}%{soname}
%defattr(-,root,root)
%{_libdir}/lib%{name}.so.*

%files devel
%defattr(-,root,root)
%{_includedir}/%{name}
%{_libdir}/ckport
%{_libdir}/lib%{name}.so
%{_libdir}/pkgconfig/lib%{name}.pc

%changelog
* Sun Apr  5 2015 avvissu@yandex.ru
- Initial version
